// pages/letterList/letterList.js
//获取应用实例
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    chatList:[]
  },
  
  /**
   * 路由
   */
  beng(e){
    // console.log(e.currentTarget.dataset.idd);
    wx.navigateTo({
      url: '/pages/letter/letter?userid='+ e.currentTarget.dataset.idd
    })
    
  },

  
  
  load(){
    var that = this;
    if (!app.globalData.hasLogin) {
      wx.showModal({
        title: '提示',
        content: '你还没有登录喔',
        success: function (res) {
          if (res.confirm) { //这里是点击了确定以后
            wx.switchTab({
              url: '/pages/own/own',
            })
          } else { //这里是点击了取消以后
            that.errShowToast('你还没有登录喔');
          }
        }
      })
      return;
    }
    wx.request({
      url: app.globalData.myUrl+'/chat/list',
      data: {
        token: app.globalData.token
      },
      success: (res) => {
        // console.log(res);
        if (res.data.success) {   
          that.setData({
            chatList:res.data.msg
          })
        }else{
          that.errShowToast(res.data.msg)
        }
        // console.log(that.data.chatList);
      },
      fail: (res) => {},
      complete: (res) => {},
    })
  }, 

      //---------------------------函数封装------------------------------
      errShowToast: function (toastText) {
        wx.showToast({
          title: toastText,
          image: '/images/password.png',
          duration: 2000
        });
      },
      sucShowToast: function (toastText) {
        wx.showToast({
          title: toastText,
          duration: 2000
        });
      },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },
  

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.load()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.load()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})